org.apache.poi.hssf.record

## Class RefModeRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.RefModeRecord

- All Implemented Interfaces:
    Duplicatable

      public final class RefModeRecord
      extends StandardRecord

  Describes which reference mode to use
  Version:
    2.0-pre

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`
    `static short` | `USE_A1_MODE`
    `static short` | `USE_R1C1_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefModeRecord()`
    `RefModeRecord(RecordInputStream in)`
    `RefModeRecord(RefModeRecord other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RefModeRecord` | `clone()` Deprecated.
    `RefModeRecord` | `copy()`
    `protected int` | `getDataSize()`
    `short` | `getMode()` get the reference mode to use (HSSF uses/assumes A1)
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setMode(short mode)` set the reference mode to use (HSSF uses/assumes A1)
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### USE_A1_MODE

          public static final short USE_A1_MODE

      See Also:
        Constant Field Values

    - #### USE_R1C1_MODE

          public static final short USE_R1C1_MODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RefModeRecord

          public RefModeRecord()

    - #### RefModeRecord

          public RefModeRecord(RefModeRecord other)

    - #### RefModeRecord

          public RefModeRecord(RecordInputStream in)

  - ### Method Detail

    - #### setMode

          public void setMode(short mode)

      set the reference mode to use (HSSF uses/assumes A1)
      Parameters:
        `mode` - the mode to use
      See Also:
        `USE_A1_MODE`, `USE_R1C1_MODE`

    - #### getMode

          public short getMode()

      get the reference mode to use (HSSF uses/assumes A1)
      Returns:
        mode to use
      See Also:
        `USE_A1_MODE`, `USE_R1C1_MODE`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public RefModeRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public RefModeRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.